Skip to main content

Notify to HIP so that confirm that the HIU received the payment status

POST/api/hiecm/scan-gateway/v3/patient/scan-pay/on-notify

This HIU will confirm the we will received the payment bundle(SUCCESS,CANCELED,PENDING,FAIL,REFUND_INITIATED, REFUND_SUCCESS) from HIP.

Header

AUTHORIZATION will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: Bearer ]

REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]

TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]

X-CM-ID consent manager ID[ Example: sbx ]

Request Body

acknowledgement This is a key value which contains the payment status abhaAddress transactionId orderNumber paymentRecipetURL[ Example: { status: [SUCCESS, CANCELED, PENDING, FAIL, REFUND_INITIATED, REFUND_SUCCESS] abhaAddress: transactionId: uniqueId orderNumber: 76274** openOrderRequestId: 939 800-325d-42c3-**-1***** paymentDate: 2025-01-20T07:47:49.102Z paymentRecipetURL: URL } ]

error is optional object in case of any error or Failure then only send error object

response which contains the requestId [ Example: requestId: 059fcb69-8ad8-4789-a049-62db16c7b5a0 ]

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds.

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

Responses

400

Bad Request

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-2500 - no mapping found to the resp.requestId cache. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
401

Unauthorized

Everything returns 401

codestring

900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestring
descriptionstring
429

Too Many Requests

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-2429 - Too Many Requests found. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
500

Internal Server Error

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-2500 - Unknown error occurred. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
503

Service Unavailable

Error codes for this module

codestringRequired

ABDM-2500 - Service Unavailable. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestringRequired

Callbacks​

  • You make this call in reply to This is callback API for the notify API. This API needs to implement by HIU to received the payment status., which ABDM posts to /v3/patient/scan-pay/notify. Open the callback.